package com.eyeofmidas.cardserver;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.google.common.base.CharMatcher;

//@WebServlet(urlPatterns = { "/card/*" }, loadOnStartup = 1)
@SuppressWarnings("serial")
public class DeckServlet extends HttpServlet {

	public DeckServlet() {
	}

	@Override
	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		response.setContentType("text/html");
		response.setStatus(HttpServletResponse.SC_OK);
		ServletOutputStream output = response.getOutputStream();
		output.println("<h2>Dynamic Content</h2>");
		output.println("<a href=\"/\">home</a>");
		output.println(request.getMethod().toString());
		String basePath = request.getServletPath();
		basePath = CharMatcher.is('/').removeFrom(basePath);
		if (basePath.equals("deck")) {
			String pathInfo = request.getPathInfo();
			pathInfo = CharMatcher.is('/').removeFrom(pathInfo);
			output.println("Looking for deck: " + pathInfo);

		} else if (basePath.equals("decks")) {
			output.println("deck list");
		}
	}

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("text/html");
		response.setStatus(HttpServletResponse.SC_OK);

		ServletOutputStream output = response.getOutputStream();

		output.println("shuffle request");
		output.println(request.getMethod().toString());

//		String queryString = request.getQueryString();
//		output.println(request.getParameterNames().toString());

//		output.println(queryString);

	}
}